defmodule LinkShortenerWeb.Api.V1.LinksController do
  use LinkShortenerWeb, :controller

  alias LinkShortener.Links

  action_fallback LinkShortenerWeb.FallbackController

  def index(conn, _params) do
    links = Links.get_all({})
    render(conn, "index.json", links: links)
  end

  def create(conn, %{"link" => link_params}) do
    with {:ok, %Links{} = link} <- Links.insert_one(link_params) do
      conn
      |> put_status(:created)
      |> put_resp_header("location", Routes.links_path(conn, :show, link))
      |> render("show.json", links: link)
    end
  end

  def show(conn, %{"id" => id}) do
    link = Links.get_one(id)
    render(conn, "show.json", links: link)
  end
end
