defmodule LinkShortenerWeb.Api.V1.LinksView do
  use LinkShortenerWeb, :view
  alias LinkShortenerWeb.Api.V1.LinksView

  def render("index.json", %{links: links}) do
    %{data: render_many(links, LinksView, "link.json")}
  end

  def render("show.json", %{links: link}) do
    %{data: render_one(link, LinksView, "link.json")}
  end

  def render("link.json", %{links: link}) do
    %{
      id: link.id,
      name: link.name,
      url: link.url,
      shorten: link.shorten
    }
  end
end
